local element = ...;
assert(...);

-- it gets annoying having to deal with stepmania complaining about
-- files with similar names. for this to work, you're going to have to
-- append _normal and _hires to the element name (and a (doubleres) after
-- the _hires one, natch.)

-- xxx: when would this happen?
if #element > 1 then
	-- override; use lores
	if element[2] then
		local dasElement = element[1];
		return element.."_lores";
	end;
end;

if IsHighDefinition() then
	return element.."_hires";
else
	return element.."_lores";
end;
-- if it doesn't show up here, assume hires.
return element.."_hires";